synergy (1.8.8-stable+dfsg.1-1.1) unstable; urgency=medium

  * Non-maintainer upload
  * Update build-deps for googletest.  Closes: #897171.

 -- Steve M. Robbins <smr@debian.org>  Tue, 01 May 2018 22:59:58 -0500

synergy (1.8.8-stable+dfsg.1-1) unstable; urgency=low

  * New upstream version.
  * Added delete_temp_config.patch to enable deletion of qt_temp files.
    Closes: # 765955
  * Remove clipboardchunktests.patch (merged upstream)

 -- Joshua Honeycutt <joshua.honeycutt@gmail.com>  Sat, 11 Mar 2017 17:38:53 -0600

synergy (1.8.7-stable+dfsg.1-2) experimental; urgency=medium

  * Correct missing tags in man page sgml source. Fix formatting and an extra
    argument.
  * Added clipboardchunktest.patch to fix FTBFS due to a unit test on big
    endian archs.

 -- Joshua Honeycutt <joshua.honeycutt@gmail.com>  Tue, 14 Feb 2017 22:58:36 -0600

synergy (1.8.7-stable+dfsg.1-1) experimental; urgency=medium

  * New maintainer (Closes: #852081)
  * New upstream version. (Closes: #764390, #818490)
  * Update watchfile to check symless github.
  * Upstream tarball modified to remove non-DFSG files and unused external
    library tarballs.
  * Removed patches: cprotocolutil-writef, system-cryptopp, x11-mouseover. 
  * Added shell script to generate SSL key/certificate files for encryption
    (/usr/share/synergy/gen_ssl_pem.sh).
  * Updated man pages (removed old crypto++ references and command line
    options, added new command line options, formatting).
  * Added documentation to README.Debian on enabling crypto without the gui.
  * Added new_ssl patch to build against newer OpenSSL in Debian.
  * Added enable_pro patch to bypass activation for Pro features.
  * Added syntool binary and manual page.
  * lintian override for possible-gpl-code-linked-with-openssl due to
    upstream exception.
  * Added a debian specific version string to the GUI about dialog.

 -- Joshua Honeycutt <joshua.honeycutt@gmail.com>  Mon, 06 Feb 2017 09:25:39 -0600

synergy (1.4.16-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Apply patch from https://xzrq.net/x11-mouseover.patch as mentioned
    in https://github.com/symless/synergy/issues/3749#issuecomment-58855820
    to fix X11 mouse-over issue on synergy server (closes: #764389).

 -- Peter Palfrader <weasel@debian.org>  Sun, 08 Jan 2017 11:20:13 +0100

synergy (1.4.16-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Added debian_google-test.patch to build against Debian's
    google-mock and libgtest-dev packages. Closes: #812303

 -- Joshua Honeycutt <joshua.honeycutt@gmail.com>  Sun, 23 Oct 2016 23:36:22 -0500

synergy (1.4.16-1) unstable; urgency=low

  * New upstream version.
  * Update Standards-Version.
  * Switch from docbook-to-man to docbook-utils for SGML man
    page processing.
  * Switch package version control from bzr to git.
  * Update man pages to note loss of --crypto-mode.
  * Add notes about the security of synergy's native crypto.
  * Remove faulty example.  Closes: #726526.
  * Tested Qt GUI, which works fine.  Closes: #415604.
  * Disable nag warning about newer upstream versions.  Closes: #731773.
  * Update watch file.

 -- Jeff Licquia <licquia@debian.org>  Sun, 16 Mar 2014 22:58:26 +0000

synergy (1.4.12-3) unstable; urgency=low

  * Make GUI build and rest-of-synergy build separately targetable
    (for testing on slow Debian build archs).
  * Disable relro hardening flags on mips and mipsel, as it causes
    the unit tests to segfault.

 -- Jeff Licquia <licquia@debian.org>  Mon, 10 Jun 2013 03:12:05 +0000

synergy (1.4.12-2) unstable; urgency=low

  * Fix build failure on gcc 4.6 archs by changing a parameter's type
    on a private method.
  * Update Standards-Version.
  * Add lintian override for autotools-dev files (which the synergy
    build doesn't use).
  * Don't run the test suite if DEB_BUILD_OPTIONS=nocheck is set.
  * Add the proper incantations to get qmake to recognize the
    proper dpkg hardening flags.

 -- Jeff Licquia <licquia@debian.org>  Sat, 08 Jun 2013 00:12:44 +0000

synergy (1.4.12-1) unstable; urgency=low

  * New upstream version...
  * ...which includes the new encryption layer.  Closes: #421512.
  * Deal with new dependency on Crypto++:
    - Add a rule to debian/rules for unpacking the embedded cryptopp
      zip file if needed.
    - Alter CMakeLists files, Python build system to detect and use
      the system libcrypto++ (based on pkgconfig).
    - Alter include paths in source to strip the version number from
      the path.
    - Build-Depend on libcrypto++-dev.
  * Re-enable the integrity tests, but don't fail if they segfault.
  * Enable the GUI.  Thanks to Mario Limonciello
    <Mario_Limonciello@Dell.com> for the original patch, which I've
    adapted.  Closes: #698291.
  * Add man page for new synergy app (the GUI).
  * Add missing options to the synergys and synergyc man pages.
    Closes: #659883.

 -- Jeff Licquia <licquia@debian.org>  Mon, 03 Jun 2013 05:10:19 +0000

synergy (1.4.10-1) experimental; urgency=low

  * New upstream version.

 -- Jeff Licquia <licquia@debian.org>  Sun, 28 Oct 2012 16:35:08 -0400

synergy (1.3.8-2) unstable; urgency=low

  * Build with dpkg-buildflags hardening support.
  * Update Standards-Version.
  * Apply mutex initialization fix from upstream.  This seems
    to fix a number of segfault issues.  Closes: #666896.

 -- Jeff Licquia <licquia@debian.org>  Sat, 07 Jul 2012 15:08:33 -0400

synergy (1.4.8-1) experimental; urgency=low

  * New upstream version.
  * Add synergyd, a new daemon upstream is working on (more for
    Windows, I think).

 -- Jeff Licquia <licquia@debian.org>  Sun, 15 Apr 2012 20:40:40 -0400

synergy (1.4.7-1) experimental; urgency=low

  * New upstream version.
  * Remove gnome3.patch (pulled in upstream).
  * Update Standards-Version.

 -- Jeff Licquia <licquia@debian.org>  Sun, 01 Apr 2012 20:14:53 -0400

synergy (1.4.5-1) experimental; urgency=low

  * Move to upstream 1.4.x series.

 -- Jeff Licquia <licquia@debian.org>  Sat, 14 Jan 2012 13:59:27 -0500

synergy (1.3.8-1) unstable; urgency=low

  * New upstream version.
  * Switch to 3.0 (quilt) source format.
  * Apply upstream patch to fix GNOME 3 issues.  Closes: #649208.

 -- Jeff Licquia <licquia@debian.org>  Sun, 04 Dec 2011 18:58:04 -0500

synergy (1.3.7-1) unstable; urgency=low

  * New upstream version.
  * Update Standards-Version, fix new lintian warnings.
  * Add test suites to build.  One appears unreliable; disable
    until fixed.
  * Switch back to the Debian-specific man pages, which are better.

 -- Jeff Licquia <licquia@debian.org>  Sun, 02 Oct 2011 19:37:04 -0400

synergy (1.3.6-1) unstable; urgency=low

  * New upstream version.  Closes: #611056.
  * Pull in previous updates from experimental.
    Closes: #591372.
  * Switch to cmake from autotools.
  * Drop obsolete docs.
  * Use project-suppled man pages instead of Debian-specific ones.
  * Update watch file to point to new synergy project.  Closes: #611726.

 -- Jeff Licquia <licquia@debian.org>  Sun, 13 Feb 2011 21:34:22 -0500

synergy (1.3.4-1) experimental; urgency=low

  * New upstream version.
  * Set source package version.
  * Update Standards-Version.
  * Fix doc links to "obsolete" docs.
  * Updated documentation and Homepage to reflect the merger
    with synergy-plus.

 -- Jeff Licquia <licquia@debian.org>  Tue, 09 Nov 2010 16:44:15 -0500

synergy (1.3.1-6) unstable; urgency=low

  * Apply similar patch to synergyc.  Closes: #520008.
  * Update Standards-Version and debhelper compatibility.

 -- Jeff Licquia <licquia@debian.org>  Tue, 31 Mar 2009 15:18:57 -0400

synergy (1.3.1-5) unstable; urgency=low

  * Apply patch from Carlo Wood which fixes a crash in synergys
    with XCB.  Closes: #495498.

 -- Jeff Licquia <licquia@debian.org>  Sun, 07 Sep 2008 23:25:43 -0400

synergy (1.3.1-4) unstable; urgency=low

  * Apply patch from Mike Stroyan which fixes some race conditions.
    Closes: #432938.
  * Re-jigger how options get passed to configure in debian/rules.

 -- Jeff Licquia <licquia@debian.org>  Tue, 24 Jun 2008 22:13:36 -0400

synergy (1.3.1-3) unstable; urgency=low

  * New maintainer.  Closes: #470186.
  * Update Standards-Version.
  * Add Homepage and Vcs-* fields.
  * Fix lintian warnings on copyright and doc-base files.
    Closes: #430783.
  * Fix problem with synergys man page.

 -- Jeff Licquia <licquia@debian.org>  Sat, 07 Jun 2008 19:26:22 -0500

synergy (1.3.1-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * fix g++-4.3 FTBFS (Closes: 417719).

 -- Pierre Habouzit <madcoder@debian.org>  Sun, 16 Mar 2008 22:01:24 +0000

synergy (1.3.1-2) unstable; urgency=low

  * added build-dependency on libxt-dev (closes: #367837)
  * Bumped Standard-Version to 3.7.2. no change.

 -- Cord Beermann <cord@debian.org>  Wed, 31 May 2006 22:57:17 +0200

synergy (1.3.1-1) unstable; urgency=low

  * New upstream release

 -- Cord Beermann <cord@debian.org>  Sat,  8 Apr 2006 20:44:18 +0200

synergy (1.3.0-1) unstable; urgency=low

  * New upstream release
  * should fix 'Shift key does not work inside VMware' (closes: #321055)
  * closing old unreproducable bug (closes: #276282)

 -- Cord Beermann <cord@debian.org>  Sat,  1 Apr 2006 09:04:14 +0200

synergy (1.2.8-2) unstable; urgency=low

  * doc-base install-docs control files do not appear to have a syntax
    for comments. comments removed. thanks to Paul Cannon
    for the diagnosis. (closes: #351997)

 -- Cord Beermann <cord@cord.de>  Thu,  9 Feb 2006 23:25:34 +0100

synergy (1.2.8-1) unstable; urgency=low

  * Hijack the package (closes: #349746)
  * Rebuild the package from scratch.
  * moved package from 'net' to 'x11'.

 -- Cord Beermann <cord@debian.org>  Sat,  4 Feb 2006 22:48:34 +0100

synergy (1.2.7-0.2) unstable; urgency=low

  * Non-maintainer upload
  * configure is unhappy, adding xutils.

 -- Cord Beermann <cord@debian.org>  Tue, 24 Jan 2006 16:50:40 +0100

synergy (1.2.7-0.1) unstable; urgency=low

  * Non-maintainer upload
  * New upstream release (closes: #323922)
  * fix FTBFS: build-depends on removed xlibs-dev (closes: #347066)

 -- Cord Beermann <cord@debian.org>  Mon, 16 Jan 2006 16:39:53 +0100

synergy (1.2.2-1) unstable; urgency=low

  * New upstream release
    (closes: Bug#293461, Bug#279660, Bug#192516)
  * Corrected typo in synergys.1 (s/heatbeat/heartbeat)
    (closes: Bug#273236)

 -- Daniel Lutz <danlutz@debian.org>  Wed, 16 Feb 2005 21:35:41 +0100

synergy (1.0.14-1) unstable; urgency=low

  * New upstream release
    (closes: Bug#195043, Bug#189953, Bug#211309)
  * Added synergys.sgml and synergyc.sgml.
  * Changed debian/rules to use docbook-to-man.
  * Added docbook-to-man to debian/control Build-Depends.
  * Updated synergys and synergyc manual pages.
  * Happy Halloween!
  * Packaged by Titus Barik <barik@ieee.org>
    Thanks a lot!

 -- Daniel Lutz <danlutz@debian.org>  Fri, 31 Oct 2003 19:36:30 -0500

synergy (1.0.3-1) unstable; urgency=low

  * New upstream release
    (closes: Bug#178504)
  * Changed Standards-Version to 3.5.8
  * Removed `dh_undocumented' from debian/rules
  * Removed gcc-3.2 handling for hppa from debian/rules

 -- Daniel Lutz <danlutz@debian.org>  Tue, 18 Feb 2003 12:39:12 +0100

synergy (0.9.12-3) unstable; urgency=low

  * Build-depend on g++-3.2 on `hppa' platform.
    Choose gcc-3.2 and g++-3.2 instead of default compilers
    in rules file if platform is `hppa'.
    (This is needed because on `hppa', gcc-3.0 produces an ICE.)

 -- Daniel Lutz <danlutz@debian.org>  Tue,  1 Oct 2002 22:13:22 +0200

synergy (0.9.12-2) unstable; urgency=low

  * Changed order of inclusion of files "CLog.h" and "std[fs]stream.h"
    in cmd/synergys/synergys.cpp, lib/http/CHTTPProtocol.cpp
    and lib/server/CHTTPServer.cpp so that it compiles with
    gcc 3.2.

 -- Daniel Lutz <danlutz@debian.org>  Mon, 30 Sep 2002 22:07:11 +0200

synergy (0.9.12-1) unstable; urgency=low

  * New upstream release
    (closes: Bug#160729)

 -- Daniel Lutz <danlutz@debian.org>  Thu, 19 Sep 2002 12:58:51 +0200

synergy (0.9.8-1) unstable; urgency=low

  * Initial Release.
    (closes: Bug#156849)
  * Added manual pages.

 -- Daniel Lutz <danlutz@debian.org>  Thu, 15 Aug 2002 23:00:53 +0200

